import request from '@/utils/request'

// 初始化 外协厂商
export function initOutHelp() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基础表_外协厂家_查询数据'
    }
  })
}
// 查询表格数据
export function searchtable(check, num, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_序间外协付款查询',
      param: '外协厂家流水号_check=' + check + '&外协厂家流水号=' + num,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询发票信息
export function getParts(Number, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_外协发票管理_查询数据',
      param: '外协厂家流水号=' + Number + '=int',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 增加
export function edittype(num1, num2, num3, num4, num5, num6, num7, num8) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_外协发票管理_增加数据',
      param: '外协厂家流水号=' + num1 + '&发票号=' + num2 + '&开户行=' + num3 + '&开票时间=' + num4 + '&开票金额=' + num5 + '&接收人=' + num6 + '&接收时间=' + num7 + '&备注=' + num8
    }
  })
}
// 编辑
export function handlechange(num, num2, num3, num4, num5, num6, num7, num8) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_外协发票管理_编辑数据',
      param: 'id=' + num + '&发票号=' + num2 + '&开户行=' + num3 + '&开票时间=' + num4 + '&开票金额=' + num5 + '&接收人=' + num6 + '&接收时间=' + num7 + '&备注=' + num8
    }
  })
}
// 删除
export function handledelete(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_外协发票管理_删除数据',
      param: 'id=' + num
    }
  })
}

// 查询付款数据
export function getParts3(num, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_序间外协付款明细查询',
      param: '外协厂家流水号=' + num,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 外协付款增加
export function outPay(num1, num2, num3, num4) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_外协付款计划_增加数据',
      param: '外协厂家流水号=' + num1 + '&付款金额=' + num2 + '&付款日期=' + num3 + '&备注=' + num4
    }
  })
}
// 外协付款编辑
export function edit(num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_外协付款计划_修改数据',
      param: '外协付款流水号=' + num1 + '&付款金额=' + num2 + '&备注=' + num3
    }
  })
}
// 外协付款删除
export function handledelete3(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_外协付款计划_删除数据',
      param: '外协付款流水号=' + num1
    }
  })
}
